﻿/**
* @author Anselm Bradford anselmbradford.com
*/
package com.anselmbradford
{
	import flash.events.EventDispatcher;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	
	public class CountDown extends EventDispatcher
	{
		public static const MILLISECONDS_PER_MINUTE:int = 1000 * 60;
		public static const MILLISECONDS_PER_HOUR:int = 1000 * 60 * 60;
		public static const MILLISECONDS_PER_DAY:int = 1000 * 60 * 60 * 24;
		
		private var _targetDate:Date;
		
		public function init( date:Date ) : void
		{
			_targetDate = date;
			var ticker = new Timer(1000); 
			ticker.addEventListener(TimerEvent.TIMER, _onTick);
	        ticker.start();
		}
		
		private function _onTick(event:TimerEvent):void 
    	{
			var targetMillisecs:Number = _targetDate.valueOf();
			
			var currentDate:Date = new Date();
			var currentMillisecs:Number = currentDate.valueOf();
			
			var diff:Number = (targetMillisecs - currentMillisecs);
			
			if (diff < 0) diff = 0;
		
			dispatchEvent( new CountDownEvent( CountDownEvent.UPDATE , diff ) );
    	}
	}
}